#*************************************************************************************************************************
#
#Copyright or  or Copr.[DGFIP][2018]
#
#Ce logiciel a t initialement dvelopp par la Direction Gnrale des 
#Finances Publiques pour permettre le calcul de l'impt sur le revenu 2018 
#au titre des revenus perus en 2017. La prsente version a permis la 
#gnration du moteur de calcul des chanes de taxation des rles d'impt 
#sur le revenu de ce millsime.
#
#Ce logiciel est rgi par la licence CeCILL 2.1 soumise au droit franais 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffuse par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accder  cet en-tte signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accept les termes.
#
#**************************************************************************************************************************
                                                                         #####
  ####   #    #    ##    #####      #     #####  #####   ######         #     #
 #    #  #    #   #  #   #    #     #       #    #    #  #                    #
 #       ######  #    #  #    #     #       #    #    #  #####           #####
 #       #    #  ######  #####      #       #    #####   #                    #
 #    #  #    #  #    #  #          #       #    #   #   #              #     #
  ####   #    #  #    #  #          #       #    #    #  ###### #######  #####
 #
 #
 #
 #
 #
 #
 #
 #                       CALCUL DE L'IMPOT NET
 #
 #
 #
 #
 #
 #
regle 301000:
application : bareme , iliad ;
IRN = min( 0, IAN + AVFISCOPTER - IRE ) + max( 0, IAN + AVFISCOPTER - IRE ) * positif( IAMD1 + 1 - SEUIL_61) ;

regle 301005:
application : bareme , iliad ;
IRNAF = min( 0, IAN - IRE ) + max( 0, IAN - IRE ) * positif( IAMD1AF + 1 - SEUIL_61) ;
regle 301010:
application : bareme , iliad ;


IAR = min( 0, IAN + AVFISCOPTER - IRE ) + max( 0, IAN + AVFISCOPTER - IRE ) ;

regle 301015:
application : bareme , iliad ;

IARAF = min( 0, IANAF - IRE ) + max( 0, IANAF - IRE ) ;
regle 301020:
application : iliad ;


CREREVET =  min(arr((BPTP3 + BPTPD + BPTPG) * TX128/100),arr(CIIMPPRO * TX128/100 ))
	  + min(arr(BPTP19 * TX19/100),arr(CIIMPPRO2 * TX19/100 ));

CIIMPPROTOT = CIIMPPRO + CIIMPPRO2 ;

regle 301030:
application : iliad ;

ICI8XFH = min(arr(BPTP18 * TX18/100),arr(COD8XF * TX18/100 ))
      + min(arr(BPTP4I * TX30/100),arr(COD8XG * TX30/100 ))
      + min(arr(BPTP40 * TX41/100),arr(COD8XH * TX41/100 ));
ICI8XV  = min(arr(RCM2FA * TX24/100),arr(COD8XV * TX24/100 )) * (1 - V_CNR);
ICIGLO = min(arr(BPTP18 * TX18/100),arr(COD8XF * TX18/100 ))
      + min(arr(RCM2FA * TX24/100),arr(COD8XV * TX24/100 )) * (1 - V_CNR)
      + min(arr(BPTP4I * TX30/100),arr(COD8XG * TX30/100 ))
      + min(arr(BPTP40 * TX41/100),arr(COD8XH * TX41/100 ));

CIGLOTOT = COD8XF + COD8XG + COD8XH; 
regle 301032:
application : iliad ;

CI8XV = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET,ICI8XV));
CI8XFH = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CI8XV,ICI8XFH));
CIGLO = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET,ICIGLO));

regle 301035:
application : iliad ;

CI8XVAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF,ICI8XV));
CI8XFHAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY-CIRCMAVFTAF-IRETSAF-ICREREVETAF-CI8XVAF,ICI8XFH));
CIGLOAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF,ICIGLO));
regle 301040:
application : iliad ;


ICREREVET = max(0,min(IAD11 + ITP - CIRCMAVFT - IRETS , min(ITP , CREREVET))) ;

regle 301045:
application : iliad ;

ICREREVETAF = max(0,min(IAD11 + ITP - CIRCMAVFTAF - IRETSAF , min(ITP , CREREVET))) ;
regle 301050:
application : iliad , bareme ;

INE = (CIRCMAVFT + IRETS + ICREREVET + CIGLO + CICULTUR + CIGPA + CIDONENTR + CICORSE + CIRECH + CICOMPEMPL)
            * (1-positif(RE168+TAX1649));

IAN = max( 0, (IRB - AVFISCOPTER + ((- CIRCMAVFT
				     - IRETS
                                     - ICREREVET
                                     - CIGLO
                                     - CICULTUR
                                     - CIGPA
                                     - CIDONENTR
                                     - CICORSE
				     - CIRECH 
                                     - CICOMPEMPL)
                                   * (1 - positif(RE168 + TAX1649)))
                  + min(TAXASSUR+0 , max(0,INE-IRB+AVFISCOPTER)) 
                  + min(IPCAPTAXTOT+0 , max(0,INE-IRB+AVFISCOPTER - min(TAXASSUR+0,max(0,INE-IRB+AVFISCOPTER))))
                  + min(TAXLOY+0 ,max(0,INE-IRB+AVFISCOPTER - min(IPCAPTAXTOT+0 , max(0,INE-IRB+AVFISCOPTER - min(TAXASSUR+0,max(0,INE-IRB+AVFISCOPTER))))
										  - min(TAXASSUR+0 , max(0,INE-IRB+AVFISCOPTER))))
	      )
         ) ;

regle 301055:
application : iliad , bareme ;

INEAF = (CIRCMAVFTAF + IRETSAF + ICREREVETAF + CIGLOAF + CICULTURAF + CIGPAAF + CIDONENTRAF + CICORSEAF + CIRECHAF + CICOMPEMPLAF)
            * (1-positif(RE168+TAX1649));
regle 301057:
application : iliad , bareme ;

IANAF = max( 0, (IRBAF  + ((- CIRCMAVFTAF
				     - IRETSAF
                                     - ICREREVETAF
                                     - CIGLOAF
                                     - CICULTURAF
                                     - CIGPAAF
                                     - CIDONENTRAF
                                     - CICORSEAF
				     - CIRECHAF
                                     - CICOMPEMPLAF)
                                   * (1 - positif(RE168 + TAX1649)))
                  + min(TAXASSUR+0 , max(0,INEAF-IRBAF)) 
                  + min(IPCAPTAXTOT+0 , max(0,INEAF-IRBAF - min(TAXASSUR+0,max(0,INEAF-IRBAF))))
                  + min(TAXLOY+0 ,max(0,INEAF-IRBAF- min(IPCAPTAXTOT+0 , max(0,INEAF-IRBAF - min(TAXASSUR+0,max(0,INEAF-IRBAF))))
										  - min(TAXASSUR+0 , max(0,INEAF-IRBAF))))
	      )
         )
 ;
regle 301060:
application : iliad ;


IRE = (1- positif(RE168+TAX1649+0)) * (
                      CIDIREPARGNE + EPAV + CRICH + CICORSENOW 
                    + CIGE + CIDEVDUR + CITEC
                    + CICA + CIGARD + CISYND 
                    + CIPRETUD + CIADCRE + CIHABPRIN + CREFAM 
                    + CREAPP +CREAGRIBIO + CREPROSP + CRESINTER 
                    + CREFORMCHENT + CREINTERESSE + CREARTS + CICONGAGRI 
                    + CRERESTAU + AUTOVERSLIB
                    + CI2CK + CIFORET + CIEXCEDENT
                    + CIHJA
                    + COD8TL * (1 - positif(RE168 + TAX1649))
	                              );

IRE2 = IRE + (BCIGA * (1 - positif(RE168+TAX1649))); 

regle 301065:
application : iliad ;

CIHJA = CODHJA * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR) ;

regle 301070:
application : iliad ;

CRICH =  IPRECH * (1 - positif(RE168+TAX1649));

regle 301080:
application : iliad ;


CIRCMAVFTNOR =(1-V_MODUL)*( max(0,min(IRB + TAXASSUR + IPCAPTAXT + TAXLOY - AVFISCOPTER , RCMAVFT * (1 - V_CNR))));

regle 888301080:
application : iliad ;


CIRCMAVFTMODUL = (V_MODUL)*(positif(COD2OP)*( max(0,min(IRB + TAXASSUR + IPCAPTAXT + TAXLOY - AVFISCOPTER , RCMAVFT * (1 - V_CNR)))));

CIRCMAVFTMODU1 = (V_MODUL*(1-positif(COD2OP))*( max(0,min(IRB + TAXASSUR + IPCAPTAXT + TAXLOY - AVFISCOPTER , RCMAVFT * (1 - V_CNR)))));
regle 301081:
application : iliad ;

CIRCMAVFT = CIRCMAVFTNOR + CIRCMAVFTMODUL + CIRCMAVFTMODU1;
regle 301085:
application : iliad ;

CIRCMAVFTAFNO = (1-V_MODUL)*(max(0,min(IRBAF + TAXASSUR + IPCAPTAXT + TAXLOY , RCMAVFT * (1 - V_CNR))));
regle 888301085:
application : iliad ;

CIRCMAVFTAFMO =(V_MODUL)*(positif(COD2OP)*( max(0,min(IRBAF + TAXASSUR + IPCAPTAXT + TAXLOY , RCMAVFT * (1 - V_CNR)))));

CIRCMAVFTAFM1 = (V_MODUL*(1-positif(COD2OP))*( max(0,min(IRBAF + TAXASSUR + IPCAPTAXT + TAXLOY , RCMAVFT * (1 - V_CNR)))));
regle 301086:
application : iliad; 


CIRCMAVFTAF = CIRCMAVFTAFNO + CIRCMAVFTAFMO + CIRCMAVFTAFM1;

regle 301090:
application : iliad ;


CIEXCEDENT =((1-V_MODUL)* arr((COD3VE * TX45/100) + (COD3UV * TX30/100))* (1 - positif(RE168 + TAX1649)));

regle 301100:
application : iliad;
CIDIREPARGNENO = (1-V_MODUL)*(DIREPARGNE * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR));
CI2CKNORM =(1-V_MODUL)*( COD2CK * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR));

regle 888301100:
application : iliad;


CIDIREPARGNEMO =(V_MODUL)*(positif(COD2OP)*( DIREPARGNE * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR)));
CIDIREPARGNEM1 = (V_MODUL*(1-positif(COD2OP))*( DIREPARGNE * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR)));
CI2CKMODUL =(V_MODUL)*(positif(COD2OP)*( COD2CK * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR)));
CI2CKMODUL1 = (V_MODUL*(1-positif(COD2OP))*( COD2CK * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR)));
regle 301101:
application : iliad;

CIDIREPARGNE = CIDIREPARGNENO + CIDIREPARGNEMO + CIDIREPARGNEM1;
CI2CK = CI2CKNORM + CI2CKMODUL + CI2CKMODUL1;
regle 301110:
application : iliad;


CICA =  arr(BAILOC98 * TX_BAIL / 100) * (1 - positif(RE168 + TAX1649)) ;

regle 301130:
application : iliad ;


IPAE = COD8VL + COD8VM + COD8WM + COD8UM ;

RASIPSOUR =  IPSOUR * positif( null(V_REGCO-2) + null(V_REGCO-3) ) * ( 1 - positif(RE168+TAX1649) );

RASIPAE = IPAE * positif(null(V_REGCO-1) + null(V_REGCO-3) + null(V_REGCO-5) + null(V_REGCO-6)) ;

regle 301133:
application : iliad ;

IRETS1 = max(0 , min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT , RASIPSOUR)) ;

IRETS2 = max(0 , min(max(0 , min(COD8PA , IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT-IRETS1) * present(COD8PA) + (IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT-IRETS1) * (1 - present(COD8PA))) 
                     , RASIPAE)) ;
	
IRETS = IRETS1 + IRETS2 ;

regle 301135:
application : iliad ;

IRETS1AF = max(0 , min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY-CIRCMAVFTAF , RASIPSOUR)) ;

IRETS2AF = max(0,
		min(
			max(0,min(COD8PA,IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF - IRETS1AF) * present(COD8PA)+(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF - IRETS1AF )*(1-present(COD8PA)) ) 
			, RASIPAE
		) 
	);
	
IRETSAF = IRETS1AF + IRETS2AF;
regle 301150:
application : iliad ;

BCIAQCUL = arr(CIAQCUL * TX_CIAQCUL / 100);
regle 301152:
application : iliad ;

CICULTUR = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-REI-IRETS-ICREREVET-CIGLO,min(IAD11+ITP+TAXASSUR+TAXLOY+IPCAPTAXT,BCIAQCUL)));

regle 301155:
application : iliad ;

CICULTURAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-REI-IRETSAF-ICREREVETAF-CIGLOAF,min(IAD11+ITP+TAXASSUR+TAXLOY+IPCAPTAXT,BCIAQCUL)));
regle 301160:
application : iliad ;

BCIGA = CRIGA;
regle 301162:
application : iliad ;

CIGPA = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR,BCIGA));

regle 301165:
application : iliad ;

CIGPAAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF,BCIGA));
regle 301170:
application : iliad ;

BCIDONENTR = RDMECENAT * (1-V_CNR) ;
regle 301172:
application : iliad ;

CIDONENTR = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-REI-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA,BCIDONENTR));
regle 301175:
application : iliad ;

CIDONENTRAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-REI-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF,BCIDONENTR));

regle 301180:
application : iliad ;

CICORSE = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IPPRICORSE-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR,CIINVCORSE+IPREPCORSE));
CICORSEAVIS = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT-IPPRICORSE-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR,CIINVCORSE+IPREPCORSE))+CICORSENOW;
TOTCORSE = CIINVCORSE + IPREPCORSE + CICORSENOW;

regle 301185:
application : iliad ;

CICORSEAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IPPRICORSE-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF,CIINVCORSE+IPREPCORSE));
CICORSEAVISAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY-CIRCMAVFTAF-IPPRICORSE-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF,CIINVCORSE+IPREPCORSE))+CICORSENOW;
regle 301190:
application : iliad ;

CIRECH = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR-CICORSE,IPCHER));

regle 301195:
application : iliad ;

CIRECHAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF-CICORSEAF,IPCHER));
regle 301200:
application : iliad ;

CICOMPEMPL = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR-CICORSE-CIRECH,COD8UW));

DIEMPLOI = (COD8UW + COD8TL) * (1 - positif(RE168+TAX1649)) ;

CIEMPLOI = (CICOMPEMPL + COD8TL) * (1 - positif(RE168+TAX1649)) ;

IRECR = abs(min(0 ,IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR-CICORSE-CIRECH-CICOMPEMPL));

regle 301205:
application : iliad ;

CICOMPEMPLAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF-CICORSEAF-CIRECHAF,COD8UW));

CIEMPLOIAF = (CICOMPEMPLAF + COD8TL) * (1 - positif(RE168+TAX1649)) ;

IRECRAF = abs(min(0 ,IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF-CICORSEAF-CIRECHAF-CICOMPEMPLAF));
regle 301210:
application : iliad ;
  
REPCORSE = abs(CIINVCORSE+IPREPCORSE-CICORSE) ;
REPRECH = abs(IPCHER - CIRECH) ;
REPCICE = abs(COD8UW - CICOMPEMPL) ;

regle 301220:
application : iliad ;

CICONGAGRI = CRECONGAGRI * (1-V_CNR) ;

regle 301230:
application : iliad ;

BCICAP = arr(PRELIBXT * TX90/100 * T_PCAPTAX/100) ;

regle 301233:
application : iliad ;

BCICAPAVIS = arr(PRELIBXT * TX90/100) ;

CICAP = max(0 , min(IPCAPTAXTOT , BCICAP)) ;

regle 301235:
application : iliad ;

CICAPAF = CICAP ;

regle 301240:
application : iliad ;

BCICHR = arr(CHRAPRES * (REGCI*(1-present(COD8XY))+COD8XY+0) / (REVKIREHR - TEFFHRC+COD8YJ));
regle 301242:
application : iliad ;

CICHR = max(0,min(IRB + TAXASSUR + IPCAPTAXT +TAXLOY +CHRAPRES - AVFISCOPTER ,min(CHRAPRES,BCICHR)));
regle 301245:
application : iliad ;

CICHRAF = max(0,min(IRBAF + TAXASSUR + IPCAPTAXT +TAXLOY +CHRAPRES ,min(CHRAPRES,BCICHR)));
regle 301247:
application : iliad ;

BCICHR3WH = arr(CHRAPRES3WH * (REGCI*(1-present(COD8XY))+COD8XY+0) / (REVKIREHR+PVREPORT - TEFFHRC+COD8YJ));

regle 301249:
application : iliad ;

CICHR3WH = max(0,min(IRB + TAXASSUR + IPCAPTAXT +TAXLOY +CHRAPRES3WH - AVFISCOPTER ,min(CHRAPRES3WH,BCICHR3WH)));

regle 301252:
application : iliad ;

CICHR3WHAF = max(0,min(IRBAF + TAXASSUR + IPCAPTAXTOT +TAXLOY +CHRAPRES3WH -CICAPAF ,min(CHRAPRES3WH,BCICHR3WH)));

regle 301257:
application : iliad ;


SOMBCOSV = TSHALLOV  +   CARTSV  +   ALLOV  +   REMPLAV  +   COD1AF  +
 	   COD1AG  +   PRBRV  +   CARPEV  +   PALIV  +   PENSALV  +
 	   CODDAJ  +   CODEAJ  +   PENINV  +   CODRAZ  +   COD1AL  +
   	   COD1AM  + COD1TP + GLDGRATV + COD1TZ + COD1NX +
	   GSALV;
SOMBCOSC = TSHALLOC  +  CARTSC + ALLOC  +   REMPLAC  +   COD1BF  +   COD1BG  +
	   PRBRC  +   CARPEC  +   PALIC  +   PENSALC  +   CODDBJ  +
  	   CODEBJ  +   PENINC  +   CODRBZ  +   COD1BL  +   COD1BM +
	   COD1UP + GLDGRATC + COD1OX + GSALC ;
SOMBCOSP = TSHALLO1  +   CARTSP1  +   ALLO1  +   REMPLAP1  +   COD1CF  +
 	   COD1CG  +   PRBR1  +   CARPEP1  +   PALI1  +   PENSALP1  +
  	   PENIN1  +   CODRCZ  +   COD1CL  +   COD1CM  +   TSHALLO2  +
   	   CARTSP2  +   ALLO2  +   REMPLAP2  +   COD1DF  +   COD1DG  +
    	   PRBR2  +   CARPEP2  +   PALI2  +   PENSALP2  +   PENIN2  +
     	   CODRDZ  +   COD1DL  +   COD1DM  +   TSHALLO3  +   CARTSP3  +
      	   ALLO3  +   REMPLAP3  +   COD1EF  +   COD1EG  +   PRBR3  +
       	   CARPEP3  +   PALI3  +   PENSALP3  +   PENIN3  +   CODREZ  +
           COD1EL  +   COD1EM  +   TSHALLO4  +   CARTSP4  +   ALLO4  +
	   REMPLAP4  +   COD1FF  +   COD1FG  +   PRBR4  +   CARPEP4  +
	   PALI4  +   PENSALP4  +   PENIN4  +   CODRFZ  +   COD1FL  +
	   COD1FM  ;


BCOS = min(RDSYVO+0,arr(TX_BASECOTSYN/100*
                                   SOMBCOSV*IND_10V)) 
       + min(RDSYCJ+0,arr(TX_BASECOTSYN/100*
                                   SOMBCOSC*IND_10C)) 
       + min(RDSYPP+0,arr(TX_BASECOTSYN/100* SOMBCOSP*IND_10P))  ;

CISYND = arr(TX_REDCOTSYN/100 * BCOS) * (1 - V_CNR) ;

DSYND = RDSYVO + RDSYCJ + RDSYPP ;

ASYND = BCOS * (1-V_CNR) ;

regle 301260:
application : iliad ;


IAVF = IRE - EPAV + CICORSE + CICULTUR + CIGPA + CIRCMAVFT ;


DIAVF2 = (BCIGA + IPRECH + IPCHER + RCMAVFT + DIREPARGNE + COD3VE + COD3UV) * (1 - positif(RE168+TAX1649)) + CIRCMAVFT * positif(RE168+TAX1649);


IAVF2 = (CIDIREPARGNE + IPRECH + CIRECH + CIRCMAVFT + CIGPA + CIEXCEDENT + 0) * (1 - positif(RE168 + TAX1649))
        + CIRCMAVFT * positif(RE168 + TAX1649) ;

IAVFGP = IAVF2 + CREFAM + CREAPP ;

regle 301270:
application : iliad ;


I2DH = EPAV ;

regle 301280:
application : iliad ;


BTANTGECUM   = (V_BTGECUM * (1 - positif(present(COD7ZZ)+present(COD7ZY)+present(COD7ZX)+present(COD7ZW))) + COD7ZZ+COD7ZY+COD7ZX+COD7ZW);

BTANTGECUMWL = V_BTPRT2 * (1 - present(COD7WK)) + COD7WK 
               + V_BTPRT1 * (1 - present(COD7WQ)) + COD7WQ ;

P2GE = max( (   PLAF_GE2 * (1 + BOOL_0AM)
             + PLAF_GE2_PACQAR * (V_0CH + V_0DP)
             + PLAF_GE2_PAC * (V_0CR + V_0CF + V_0DJ + V_0DN)  
              ) - BTANTGECUM
             , 0
             ) ;
BGEPAHA = min(RDEQPAHA , P2GE) * (1 - V_CNR);

P2GEWL = max(0,PLAF20000 - BTANTGECUMWL);
BGTECH = min(RDTECH , P2GEWL) * (1 - V_CNR) ;

BGEDECL = RDTECH + RDEQPAHA ;
TOTBGE = BGTECH + BGEPAHA ;

RGEPAHA =  (BGEPAHA * TX25 / 100 );
RGTECH = (BGTECH * TX40 / 100); 
CIGE = arr (RGTECH + RGEPAHA ) * (1 - positif(RE168 + TAX1649));

GECUM = min(P2GE,BGEPAHA)+(V_BTGECUM * (1 - positif(present(COD7ZY)+present(COD7ZX)+present(COD7ZW))) + COD7ZW +COD7ZX + COD7ZY);
GECUMWL = max(0,BGTECH + BTANTGECUMWL) ;

BADCRE = min(CREAIDE , min((LIM_AIDOMI * (1 - positif(PREMAIDE)) + LIM_PREMAIDE * positif(PREMAIDE)
                            + MAJSALDOM * (positif_ou_nul(ANNEEREV-V_0DA-65) + positif_ou_nul(ANNEEREV-V_0DB-65) * BOOL_0AM
                                           + V_0CF + V_0DJ + V_0DN + (V_0CH + V_0DP)/2+ASCAPA)
                           ) , LIM_AIDOMI3 * (1 - positif(PREMAIDE)) + LIM_PREMAIDE2 * positif(PREMAIDE) ) * (1-positif(INAIDE + 0))
                               +  LIM_AIDOMI2 * positif(INAIDE + 0)) ;

DAIDC = CREAIDE ;
AAIDC = BADCRE * (1-V_CNR) ;
CIADCRE = arr (BADCRE * TX_AIDOMI /100) * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR) ;

regle 301300:
application : iliad ;


DDEVDUR = COD7CB + COD7AD + COD7AF + COD7AH + COD7AK + COD7AL + COD7AM + COD7AN + COD7AQ + COD7AR + COD7AV 
	  + COD7AX + COD7AY + COD7AZ + COD7BB + COD7BC + COD7BD + COD7BE + COD7BF + COD7BH + COD7BK + COD7BL ;

PDEVDUR = max( (   PLAF_DEVDUR * (1 + BOOL_0AM)
                  + PLAF_GE2_PACQAR * (V_0CH+V_0DP)
	          + PLAF_GE2_PAC * (V_0CR+V_0CF+V_0DJ+V_0DN) 
		 ) - (V_BTDEVDUR*(1-positif(present(COD7XD)+present(COD7XE)+present(COD7XF)+present(COD7XG)))+COD7XD+COD7XE+COD7XF+COD7XG) , 0 );


BDEV30 = min(PDEVDUR , COD7CB + COD7AD + COD7AF + COD7AH + COD7AK + COD7AL + COD7AM + COD7AN + COD7AQ + COD7AR + COD7AV 
                       + COD7AX + COD7AY + COD7AZ + COD7BB  + COD7BC + COD7BD + COD7BE + COD7BF + COD7BH + COD7BK + COD7BL) ;

ADEVDUR = BDEV30 ; 

CIDEVDUR = arr(BDEV30 * TX30/100) * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR) ; 

DEVDURCUM = ADEVDUR + ((V_BTDEVDUR*(1-positif(present(COD7XD)+present(COD7XE)+present(COD7XF)+present(COD7XG))))+COD7XD+COD7XE+COD7XF+COD7XG) ;

regle 301310:
application : iliad ;

DTEC = RISKTEC;
ATEC = positif(DTEC) * DTEC;
CITEC = arr (ATEC * TX40/100);

regle 301320:
application : iliad ;

DPRETUD = PRETUD + PRETUDANT ;
APRETUD = max(min(PRETUD,LIM_PRETUD) + min(PRETUDANT,LIM_PRETUD*CASEPRETUD),0) * (1-V_CNR) ;

CIPRETUD = arr(APRETUD*TX_PRETUD/100) * (1 - positif(RE168 + TAX1649)) * (1-V_CNR) ;

regle 301330:
application : iliad ;


EM7 = somme (i=0..7: min (1 , max(0 , V_0Fi + AG_LIMFG - ANNEEREV)))
         + somme (j=0..5: min (1 , max(0 , V_0Nj + AG_LIMFG - ANNEEREV)))
      + (1 - positif(somme(i=0..7:V_0Fi) + somme(i=0..5: V_0Ni) + 0)) * (V_0CF + V_0DN) ;

EM7QAR = somme (i=0..5: min (1 , max(0 , V_0Hi + AG_LIMFG - ANNEEREV)))
         + somme (j=0..3: min (1 , max(0 , V_0Pj + AG_LIMFG - ANNEEREV)))
         + (1 - positif(somme(i=0..5: V_0Hi) + somme(j=0..3: V_0Pj) + 0)) * (V_0CH + V_0DP) ;

BRFG = min(RDGARD1,PLAF_REDGARD) + min(RDGARD2,PLAF_REDGARD)
       + min(RDGARD3,PLAF_REDGARD) + min(RDGARD4,PLAF_REDGARD)
       + min(RDGARD1QAR,PLAF_REDGARDQAR) + min(RDGARD2QAR,PLAF_REDGARDQAR)
       + min(RDGARD3QAR,PLAF_REDGARDQAR) + min(RDGARD4QAR,PLAF_REDGARDQAR)
       ;
RFG1 = arr ( (BRFG) * TX_REDGARD /100 ) * (1 -V_CNR);
DGARD = somme(i=1..4:RDGARDi)+somme(i=1..4:RDGARDiQAR);
AGARD = (BRFG) * (1-V_CNR) ;
CIGARD = RFG1 * (1 - positif(RE168 + TAX1649)) ;

regle 301340:
application : iliad ;

PREHAB = PREHABT + PREHABTN + PREHABTN1 + PREHABT1 + PREHABT2 + PREHABTN2 + PREHABTVT ;

BCIHP = max(( PLAFHABPRIN * (1 + BOOL_0AM) * (1+positif(V_0AP+V_0AF+V_0CG+V_0CI+V_0CR))
                 + (PLAFHABPRINENF/2) * (V_0CH + V_0DP)
                 + PLAFHABPRINENF * (V_0CR + V_0CF + V_0DJ + V_0DN)
                  )
             ,0);

BCIHABPRIN1 = min(BCIHP , PREHABT) * (1 - V_CNR) ;
BCIHABPRIN2 = min(max(0,BCIHP-BCIHABPRIN1),PREHABT1) * (1 - V_CNR);
BCIHABPRIN3 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2),PREHABTN) * (1 - V_CNR);
BCIHABPRIN4 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3),PREHABTN1) * (1 - V_CNR);
BCIHABPRIN5 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3-BCIHABPRIN4),PREHABT2) * (1 - V_CNR);
BCIHABPRIN6 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3-BCIHABPRIN4-BCIHABPRIN5),PREHABTN2) * (1 - V_CNR);
BCIHABPRIN7 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3-BCIHABPRIN4-BCIHABPRIN5-BCIHABPRIN6),PREHABTVT) * (1 - V_CNR);

BCIHABPRIN = BCIHABPRIN1 + BCIHABPRIN2 + BCIHABPRIN3 + BCIHABPRIN4 + BCIHABPRIN5 + BCIHABPRIN6 + BCIHABPRIN7 ;

CIHABPRIN = arr((BCIHABPRIN1 * TX40/100)
                + (BCIHABPRIN2 * TX40/100)
                + (BCIHABPRIN3 * TX30/100)
                + (BCIHABPRIN4 * TX25/100)
                + (BCIHABPRIN5 * TX20/100)
                + (BCIHABPRIN6 * TX15/100)
                + (BCIHABPRIN7 * TX10/100))
                * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR);

regle 301350:
application : iliad ;


BDCIFORET  = COD7VQ+COD7VR+COD7TP+COD7TQ+COD7VM + COD7TM + COD7VN + COD7TO
 	   + REPFOR3 +COD7VP + REPSINFOR5 + COD7TK +RDFORESTRA + SINISFORET
	   + COD7UA + COD7UB + RDFORESTGES + COD7UI;
BCIFORETVP = max(0,min(COD7VP,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)))) * (1-V_CNR);

BCIFORETTK = max(0,min(COD7TK,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP))) * (1-V_CNR);

BCIFORETUX = max(0,min(REPFOR3,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK))) * (1-V_CNR);

BCIFORETTJ = max(0,min(REPSINFOR5,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX))) * (1-V_CNR);

BCIFORETVN = max(0,min(COD7VN,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ))) * (1-V_CNR);

BCIFORETTO = max(0,min(COD7TO,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN))) * (1-V_CNR);

BCIFORETVM = max(0,min(COD7VM,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO))) * (1-V_CNR);

BCIFORETTM = max(0,min(COD7TM,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM))) * (1-V_CNR);
BCIFORETVR = max(0,min(COD7VR,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM))) * (1-V_CNR);
BCIFORETTQ = max(0,min(COD7TQ,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR))) * (1-V_CNR);
BCIFORETVQ = max(0,min(COD7VQ,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ))) * (1-V_CNR);
BCIFORETTP = max(0,min(COD7TP,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ))) * (1-V_CNR);

BCIFORETUA = max(0,min(COD7UA,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP))) * (1-V_CNR);

BCIFORETUB = max(0,min(COD7UB,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP-BCIFORETUA))) * (1-V_CNR);

BCIFORETUP = max(0,min(RDFORESTRA,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                               -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP-BCIFORETUA-BCIFORETUB)) * (1-V_CNR);

BCIFORETUT = max(0,min(SINISFORET,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                     -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP-BCIFORETUA-BCIFORETUB-BCIFORETUP))) * (1-V_CNR);

BCIFORETUI = max(0,min(COD7UI,max(0,PLAF_FOREST2 * (1 + BOOL_0AM))))  * (1-V_CNR);

BCIFORETUQ = max(0,min(RDFORESTGES, PLAF_FOREST2 * (1 + BOOL_0AM)-BCIFORETUI)) * (1-V_CNR);

BCIFORET  = BCIFORETVP + BCIFORETTK + BCIFORETUX + BCIFORETTJ + BCIFORETVN + BCIFORETTO + BCIFORETVM + BCIFORETTM +BCIFORETVR
           +BCIFORETTQ+BCIFORETVQ+BCIFORETTP+BCIFORETUA + BCIFORETUB + BCIFORETUP + BCIFORETUT + BCIFORETUI + BCIFORETUQ;

CIFORET = arr((BCIFORETUX+BCIFORETTJ+BCIFORETVM+BCIFORETTM+BCIFORETUP + BCIFORETUT+BCIFORETVQ+BCIFORETTP+BCIFORETUQ) * TX18/100 
               + (BCIFORETVP+BCIFORETTK+BCIFORETVN+BCIFORETTO+BCIFORETVR+BCIFORETTQ+BCIFORETUA + BCIFORETUB+BCIFORETUI) * TX25/100);

regle 301360:
application : iliad ;

REPCIFAD = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7UA
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                             * max(0,COD7UA - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP))) * (1-V_CNR);
REPCIFADSIN = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7UA- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7UB
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7UA- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                             * max(0,COD7UB - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7UA))) * (1-V_CNR);
REPCIF = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7UA+COD7UB- PLAF_FOREST1 * (1+ BOOL_0AM)) * RDFORESTRA
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7UA+COD7UB- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                             * max(0,RDFORESTRA - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7UA-COD7UB))) * (1-V_CNR);
REPCIFSIN = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7UA+COD7UB+RDFORESTRA- PLAF_FOREST1 * (1+ BOOL_0AM)) * SINISFORET
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7UA+COD7UB+RDFORESTRA- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                             * max(0,SINISFORET - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7UA-COD7UB-RDFORESTRA))) * (1-V_CNR);
REPCIFADHSN1 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7VR
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                                                           * max(0,COD7VR - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM))) * (1-V_CNR);
REPCIFADSSN1 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TQ
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                                                           * max(0,COD7TQ - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR))) * (1-V_CNR);
REPCIFHSN1 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7VQ
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                                                           * max(0,COD7VQ - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ))) * (1-V_CNR);
REPCIFSN1 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TP
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                                                           * max(0,COD7TP - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ))) * (1-V_CNR);
REPCIFADHSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5 - PLAF_FOREST1 * (1+ BOOL_0AM)) *  COD7VN
         + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5- PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,COD7VN - PLAF_FOREST1 * (1+ BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5)) * (1-V_CNR);
REPCIFADSSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN - PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TO
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN - PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,COD7TO - (PLAF_FOREST1 * (1+ BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN))) * (1-V_CNR);
REPCIFHSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO - PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7VM
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                                                           * max(0,COD7VM - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO))) * (1-V_CNR);
REPCIFSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TM
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM- PLAF_FOREST1 * (1+ BOOL_0AM))) 
                                                           * max(0,COD7TM - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM))) * (1-V_CNR);
REPCIFADHSN3 = max(0,COD7VP - PLAF_FOREST1 * (1+ BOOL_0AM)) * (1-V_CNR);
REPCIFADSSN3 = (positif_ou_nul(COD7VP - PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TK
            + (1-positif_ou_nul(COD7VP - PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,COD7TK - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP))) * (1-V_CNR);
REPCIFHSN3 = (positif_ou_nul(COD7VP + COD7TK - PLAF_FOREST1 * (1+ BOOL_0AM)) * REPFOR3
            + (1-positif_ou_nul(COD7VP + COD7TK- PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,REPFOR3 - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK))) * (1-V_CNR);
REPCIFSN3 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3 - PLAF_FOREST1 * (1+ BOOL_0AM)) * REPSINFOR5
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3- PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,REPSINFOR5 - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3))) * (1-V_CNR);
regle 301365:
application : iliad ;

REP7UP = REPCIF + REPCIFHSN1 + REPCIFHSN2+REPCIFHSN3;
REP7UA = REPCIFAD + REPCIFADHSN1 + REPCIFADHSN2+REPCIFADHSN3;
REP7UT = REPCIFSIN + REPCIFSN1 + REPCIFSN2+REPCIFSN3;
REP7UB = REPCIFADSIN + REPCIFADSSN1 + REPCIFADSSN2+REPCIFADSSN3; 
regle 301370:
application : iliad ;

CICSG = min( CSGC , arr( IPPNCS * T_CSG/100 ));

CIRDS = min( RDSC , arr(( IPPNCS + min( REVCSXA , SALECS ) + min( REVCSXB , SALECSG+COD8SC )
                                 + min( REVCSXC , ALLECS ) + min( REVCSXD , INDECS+COD8SW  )
                                 + min( REVCSXE , PENECS + COD8SX ) + min( COD8XI , COD8SA )
                                 + min( COD8XJ , COD8SB) + min ( COD8XM , GLDGRATV+GLDGRATC )
                         ) * T_RDS/100 ));

CIPRS = min( PRSC , arr( IPPNCS * TX048/100 ));
CIPSOL = min( MPSOL , arr( IPPNCS * TX002/100 ));

CICVN = min( CVNSALC , arr( min(BCVNSAL,COD8XL) * TX10/100 )) ;

CIGLOA = min( CGLOA , arr ( min(GLDGRATV+GLDGRATC,COD8XM) * TX075/100));


CIRSE1 = min( RSE1 , arr( min(SALECS,REVCSXA) * TX075/100 ));

RSE8TV = arr(BRSE8TV * TXTV/100) * (1 - positif(ANNUL2042));
RSE8SA = arr(BRSE8SA * TXTV/100) * (1 - positif(ANNUL2042));
CIRSE8TV = min( RSE8TV , arr( min(ALLECS,REVCSXC) * TX066/100 )) ;
CIRSE8SA = min( RSE8SA , arr(min(COD8SA,COD8XI) * TX066/100 )) ;
CIRSE2 = min(RSE2, arr(min(ALLECS,REVCSXC)* TX066/100 + min(COD8SA,COD8XI) * TX066/100));
CIRSE3 = min( RSE3 , arr( min(COD8SW+INDECS,REVCSXD * TX062/100 )));

RSE8TX = arr(BRSE8TX * TXTX/100) * (1 - positif(ANNUL2042));
RSE8SB = arr(BRSE8SB * TXTX/100) * (1 - positif(ANNUL2042));
CIRSE8TX = min( RSE8TX , arr( REVCSXE * TX038/100 )) ;
CIRSE8SB = min( RSE8SB , arr( COD8XJ * TX038/100 ));
CIRSE4 =  min(RSE4, arr(min(PENECS+COD8SX,REVCSXE)* TX038/100 + min(COD8XJ,COD8SB) * TX038/100));

CIRSE5 = min( RSE5 , arr( min(SALECSG+COD8SC,REVCSXB) * TX075/100 ));

CIRSE6 = min( RSE6 , arr(( min( REVCSXB , SALECSG+COD8SC ) +
                           min( REVCSXC , ALLECS ) +
                           min( COD8XI , COD8SA )
                         ) * TXCASA/100 ));

CIRSETOT = CIRSE1 + CIRSE2 + CIRSE3 + CIRSE4 + CIRSE5;

regle 301380:
application : iliad ;

CRESINTER = PRESINTER ;

regle 301390:
application : iliad ;

REST = positif(IRE) * positif(IRESTITIR) ;

LIBREST = positif(REST) * max(0,min(AUTOVERSLIB , IRESTITIR)) ;

LIBIMP = positif_ou_nul(LIBREST) * (AUTOVERSLIB - LIBREST) ;

TAUREST = positif(REST) * max(0,min(CRERESTAU , IRESTITIR-AUTOVERSLIB)) ;

TAUIMP = positif_ou_nul(TAUREST) * (CRERESTAU - TAUREST) ;

AGRREST = positif(REST) * max(0,min(CICONGAGRI , IRESTITIR-AUTOVERSLIB-CRERESTAU)) ;

AGRIMP = positif_ou_nul(AGRREST) * (CICONGAGRI - AGRREST) ;

ARTREST = positif(REST) * max(0,min(CREARTS , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI)) ;

ARTIMP = positif_ou_nul(ARTREST) * (CREARTS - ARTREST) ;

INTREST = positif(REST) * max(0,min(CREINTERESSE , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS)) ;

INTIMP = positif_ou_nul(INTREST) * (CREINTERESSE - INTREST) ;

FORREST = positif(REST) * max(0,min(CREFORMCHENT , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE)) ;

FORIMP = positif_ou_nul(FORREST) * (CREFORMCHENT - FORREST) ;

PSIREST = positif(REST) * max(0,min(CRESINTER , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT)) ; 

PSIIMP = positif_ou_nul(PSIREST) * (CRESINTER - PSIREST) ;

PROREST = positif(REST) * max(0,min(CREPROSP , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                               -CRESINTER)) ;

PROIMP = positif_ou_nul(PROREST) * (CREPROSP - PROREST) ;

BIOREST = positif(REST) * max(0,min(CREAGRIBIO , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                                 -CRESINTER-CREPROSP)) ;

BIOIMP = positif_ou_nul(BIOREST) * (CREAGRIBIO - BIOREST) ;

APPREST = positif(REST) * max(0,min(CREAPP , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                             -CRESINTER-CREPROSP-CREAGRIBIO)) ;

APPIMP = positif_ou_nul(APPREST) * (CREAPP - APPREST) ;

FAMREST = positif(REST) * max(0,min(CREFAM , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                             -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP)) ;

FAMIMP = positif_ou_nul(FAMREST) * (CREFAM - FAMREST) ;

HABREST = positif(REST) * max(0,min(CIHABPRIN , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                                -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM)) ;

HABIMP = positif_ou_nul(HABREST) * (CIHABPRIN - HABREST) ;

ROFREST = positif(REST) * max(0,min(CIFORET , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                              -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN)) ;

ROFIMP = positif_ou_nul(ROFREST) * (CIFORET - ROFREST) ;

SALREST = positif(REST) * max(0,min(CIADCRE , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                              -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET)) ;

SALIMP = positif_ou_nul(SALREST) * (CIADCRE - SALREST) ;

PREREST = positif(REST) * max(0,min(CIPRETUD , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                               -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE)) ;

PREIMP = positif_ou_nul(PREREST) * (CIPRETUD - PREREST) ;

SYNREST = positif(REST) * max(0,min(CISYND , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                             -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD)) ;

SYNIMP = positif_ou_nul(SYNREST) * (CISYND - SYNREST) ;

GARREST = positif(REST) * max(0,min(CIGARD , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                             -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND)) ;

GARIMP = positif_ou_nul(GARREST) * (CIGARD - GARREST) ;

BAIREST = positif(REST) * max(0,min(CICA , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                           -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD)) ;
 
BAIIMP = positif_ou_nul(BAIREST) * (CICA - BAIREST) ;

TECREST = positif(REST) * max(0,min(CITEC , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                            -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA)) ;

TECIMP = positif_ou_nul(TECREST) * (CITEC - TECREST) ;

DEPREST = positif(REST) * max(0,min(CIDEVDUR , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                               -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                               -CITEC)) ;

DEPIMP = positif_ou_nul(DEPREST) * (CIDEVDUR - DEPREST) ;

AIDREST = positif(REST) * max(0,min(CIGE , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                           -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                           -CITEC-CIDEVDUR)) ;

AIDIMP = positif_ou_nul(AIDREST) * (CIGE - AIDREST) ;

HJAREST = positif(REST) * max(0,min(CIHJA , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                            -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                            -CITEC-CIDEVDUR-CIGE)) ;

HJAIMP = positif_ou_nul(HJAREST) * (CIHJA - HJAREST) ;

ASSREST = positif(REST) * max(0,min(I2DH , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                           -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                           -CITEC-CIDEVDUR-CIGE-CIHJA)) ;

ASSIMP = positif_ou_nul(ASSREST) * (I2DH - ASSREST) ;

2CKREST = positif(REST) * max(0,min(CI2CK , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                            -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                            -CITEC-CIDEVDUR-CIGE-CIHJA-I2DH)) ;

2CKIMP = positif_ou_nul(2CKREST) * (CI2CK - 2CKREST) ;

EMPREST = positif(REST) * max(0,min(COD8TL , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                             -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                             -CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK)) ;

EMPIMP = positif_ou_nul(EMPREST) * (COD8TL - EMPREST) ;

EPAREST = positif(REST) * max(0,min(CIDIREPARGNE , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                                   -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                                   -CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK-COD8TL)) ;

EPAIMP = positif_ou_nul(EPAREST) * (CIDIREPARGNE - EPAREST) ;


RECREST = positif(REST) * max(0,min(IPRECH , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                             -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                             -CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK-COD8TL-CIDIREPARGNE)) ;

RECIMP = positif_ou_nul(RECREST) * (IPRECH - RECREST) ;

EXCREST = positif(REST) * max(0,min(CIEXCEDENT , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                                 -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                                 -CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK-COD8TL-CIDIREPARGNE-IPRECH)) ;

EXCIMP = positif_ou_nul(EXCREST) * (CIEXCEDENT - EXCREST) ;

CORREST = positif(REST) * max(0,min(CICORSENOW , IRESTITIR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREINTERESSE-CREFORMCHENT
                                                 -CRESINTER-CREPROSP-CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD-CICA
                                                 -CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK-COD8TL-CIDIREPARGNE-IPRECH-CIEXCEDENT)) ;

CORIMP = positif_ou_nul(CORREST) * (CICORSENOW - CORREST) ;


regle 301400:
application : iliad ,bareme;

RFRMENAGE = REVKIRE + COD3SA + (COD3WM+ABPVNOSURSIS) * positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT));
RFRMENAGE3WG = REVKIRE + COD3SA + PVREPORT + (COD3WM+ABPVNOSURSIS) * positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT));

PMENAGEMIN = max( (  (PLAF_MENAGE_MIN) * (1 + BOOL_0AM)
                 + (PLAF_MENAGE_QAR * (NBQAR * 4)
                 + PLAF_MENAGE_PAC * (((NSM -1) * (1-BOOL_0AM) + NPA+NIN+NSP) * 2)) * (1-present(V_9VV))
		 + (PLAF_MENAGE_PAC * (V_9VV - (1+BOOL_0AM))*2) * present(V_9VV)
                ), 0 );
PMENAGE = max( (   PLAF_MENAGE * (1 + BOOL_0AM)
                 + (PLAF_MENAGE_QAR * (NBQAR * 4)
                 + PLAF_MENAGE_PAC * (((NSM -1) * (1-BOOL_0AM) + NPA+NIN+NSP) * 2)) * (1-present(V_9VV))
		 + (PLAF_MENAGE_PAC * (V_9VV - (1+BOOL_0AM))*2) * present(V_9VV)
                ), 0 );

INDMENAGEMIN = positif_ou_nul(PMENAGEMIN - RFRMENAGE);
INDMENAGEMIN3WG = positif_ou_nul(PMENAGEMIN - RFRMENAGE3WG);

INDMENAGESUP = positif_ou_nul(PMENAGE - RFRMENAGE) * positif(RFRMENAGE - PMENAGEMIN+1);
INDMENAGESUP3WG = positif_ou_nul(PMENAGE - RFRMENAGE3WG) * positif(RFRMENAGE3WG - PMENAGEMIN+1);

INDMENAGE = positif_ou_nul(PMENAGE - RFRMENAGE)* (1-V_CNR) * (1 - positif(present(REVFONC)+present(IND_TDR)));

RMENAGE = INDMENAGE * ( INDMENAGEMIN * (1-positif(INDMENAGESUP)) * arr(( IDOM11 - DEC11)*TX20/100)
                      + positif(INDMENAGESUP) * arr(( IDOM11 - DEC11)*TX20/100 * ((PMENAGE - RFRMENAGE)/(LIM2020*(1+BOOL_0AM)))));
INDMENAGE3WG = positif_ou_nul(PMENAGE - RFRMENAGE3WG)* (1-V_CNR) * (1 - positif(present(REVFONC)+present(IND_TDR)));
RMENAGE3WG = INDMENAGE3WG * ( INDMENAGEMIN3WG * (1-positif(INDMENAGESUP3WG)) * arr(( IDOM13 - DEC13)*TX20/100)
                      + positif(INDMENAGESUP3WG) * arr(( IDOM13 - DEC13)*TX20/100 * ((PMENAGE - RFRMENAGE3WG)/(LIM2020*(1+BOOL_0AM)))));

